package StructuralClass;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.Queue;

import TX_OtherClass.JceStruct;
import TX_OtherClass.c;
import TX_OtherClass.d;

public final class ChannelDataRequest extends JceStruct {
    public ArrayList adContextList;
    static ArrayList cache_adContextList;
    static ArrayList cache_dataKeyList;
    public String channelItemId;
    public int channelMode;
    public String channelSubKey;
    public String dataKey;
    public ArrayList dataKeyList;
    public int displayScene;
    public int filtertype;
    public int hasCache;
    public String hotWordTimeStamp;
    public String insertPosterKey;
    public String lastGroupId;
    public int loadTypeForRec;
    public String pageContext;
    public String refreshContext;
    public int refreshType;
    public String reportContext;
    public String searchDataKey;
    public int userSortType;
    
    private static Queue b;

    static {
        ChannelDataRequest.cache_dataKeyList = new ArrayList();
        ChannelDataRequest.cache_dataKeyList.add("");
        ChannelDataRequest.cache_adContextList = new ArrayList();
        ChannelDataRequest.cache_adContextList.add("");
       // ChannelDataRequest.adContextList = new ArrayList();
    }
    
    public ArrayList init_arraylist() {
        ArrayList v0 = new ArrayList();
        Queue v1 = b;
        try {
            Iterator v2 = b.iterator();
            while(v2.hasNext()) {
                v0.add(v2.next());
            }
            return v0;
        }
        catch(Throwable v0_1) {
        }
		return v0;

    }


    public ChannelDataRequest() {
        super();
        this.channelItemId = "";
        this.pageContext = "";
        this.refreshContext = "";
        this.filtertype = 0;
        this.hasCache = 0;
        this.lastGroupId = "";
        this.hotWordTimeStamp = "";
        this.reportContext = "";
        this.dataKey = "";
        this.refreshType = 0;
        this.channelSubKey = "";
        this.insertPosterKey = "";
        this.dataKeyList = null;
        this.loadTypeForRec = 0;
        this.userSortType = 0;
        this.adContextList = null;
        this.channelMode = 0;
        this.searchDataKey = "";
        this.displayScene = 0;
        this.adContextList = init_arraylist();
    }

    public ChannelDataRequest(String arg3, String arg4, String arg5, int arg6, int arg7, String arg8, String arg9, String arg10, String arg11, int arg12, String arg13, String arg14, ArrayList arg15, int arg16, int arg17, ArrayList arg18, int arg19, String arg20, int arg21) {
        super();
        this.channelItemId = "";
        this.pageContext = "";
        this.refreshContext = "";
        this.filtertype = 0;
        this.hasCache = 0;
        this.lastGroupId = "";
        this.hotWordTimeStamp = "";
        this.reportContext = "";
        this.dataKey = "";
        this.refreshType = 0;
        this.channelSubKey = "";
        this.insertPosterKey = "";
        this.dataKeyList = null;
        this.loadTypeForRec = 0;
        this.userSortType = 0;
        this.adContextList = null;
        this.channelMode = 0;
        this.searchDataKey = "";
        this.displayScene = 0;
        this.channelItemId = arg3;
        this.pageContext = arg4;
        this.refreshContext = arg5;
        this.filtertype = arg6;
        this.hasCache = arg7;
        this.lastGroupId = arg8;
        this.hotWordTimeStamp = arg9;
        this.reportContext = arg10;
        this.dataKey = arg11;
        this.refreshType = arg12;
        this.channelSubKey = arg13;
        this.insertPosterKey = arg14;
        this.dataKeyList = arg15;
        this.loadTypeForRec = arg16;
        this.userSortType = arg17;
        this.adContextList = arg18;
        this.channelMode = arg19;
        this.searchDataKey = arg20;
        this.displayScene = arg21;
    }

    public final void readFrom(c arg4) {
        this.channelItemId = arg4.b(0, true);
        this.pageContext = arg4.b(1, true);
        this.refreshContext = arg4.b(2, false);
        this.filtertype = arg4.a(this.filtertype, 3, false);
        this.hasCache = arg4.a(this.hasCache, 4, false);
        this.lastGroupId = arg4.b(5, false);
        this.hotWordTimeStamp = arg4.b(6, false);
        this.reportContext = arg4.b(7, false);
        this.dataKey = arg4.b(8, false);
        this.refreshType = arg4.a(this.refreshType, 9, false);
        this.channelSubKey = arg4.b(10, false);
        this.insertPosterKey = arg4.b(11, false);
        this.dataKeyList = (ArrayList) arg4.a(ChannelDataRequest.cache_dataKeyList, 12, false);
        this.loadTypeForRec = arg4.a(this.loadTypeForRec, 13, false);
        this.userSortType = arg4.a(this.userSortType, 14, false);
        this.adContextList = (ArrayList) arg4.a(ChannelDataRequest.cache_adContextList, 15, false);
        this.channelMode = arg4.a(this.channelMode, 16, false);
        this.searchDataKey = arg4.b(17, false);
        this.displayScene = arg4.a(this.displayScene, 18, false);
    }

    public final void writeTo(d arg3) {
        arg3.a(this.channelItemId, 0);
        arg3.a(this.pageContext, 1);
        if(this.refreshContext != null) {
            arg3.a(this.refreshContext, 2);
        }

        arg3.a(this.filtertype, 3);
        arg3.a(this.hasCache, 4);
        if(this.lastGroupId != null) {
            arg3.a(this.lastGroupId, 5);
        }

        if(this.hotWordTimeStamp != null) {
            arg3.a(this.hotWordTimeStamp, 6);
        }

        if(this.reportContext != null) {
            arg3.a(this.reportContext, 7);
        }

        if(this.dataKey != null) {
            arg3.a(this.dataKey, 8);
        }

        arg3.a(this.refreshType, 9);
        if(this.channelSubKey != null) {
            arg3.a(this.channelSubKey, 10);
        }

        if(this.insertPosterKey != null) {
            arg3.a(this.insertPosterKey, 11);
        }

        if(this.dataKeyList != null) {
            arg3.a(this.dataKeyList, 12);
        }

        arg3.a(this.loadTypeForRec, 13);
        arg3.a(this.userSortType, 14);
        if(this.adContextList != null) {
            arg3.a(this.adContextList, 15);
        }

        arg3.a(this.channelMode, 16);
        if(this.searchDataKey != null) {
            arg3.a(this.searchDataKey, 17);
        }

        arg3.a(this.displayScene, 18);
    }
}
